RDKit: RDKit::FingerprintVarianceScoreData Struct Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
RDKit::FingerprintVarianceScoreData Struct Reference

`#include <RGroupFingerprintScore.h>`

## Public Member Functions
double | fingerprintVarianceGroupScore ()
void | addVarianceData (int matchNumber, int permutationNumber, const std::vector< std::vector< RGroupMatch > > &matches, const std::set< int > &labels)
void | removeVarianceData (int matchNumber, int permutationNumber, const std::vector< std::vector< RGroupMatch > > &matches, const std::set< int > &labels)
void | clear ()

## Public Attributes
size_t | numberOfMissingUserRGroups = 0
size_t | numberOfMolecules = 0
std::map< int, std::shared_ptr< VarianceDataForLabel > > | labelsToVarianceData

## Detailed Description

Definition at line 42 of file RGroupFingerprintScore.h.

## Member Function Documentation

## ◆ addVarianceData()

void RDKit::FingerprintVarianceScoreData::addVarianceData | ( | int | matchNumber,
|  | int | permutationNumber,
|  | const std::vector< std::vector< RGroupMatch > > & | matches,
|  | const std::set< int > & | labels )

## ◆ clear()

void RDKit::FingerprintVarianceScoreData::clear | ( |  | ) |

## ◆ fingerprintVarianceGroupScore()

double RDKit::FingerprintVarianceScoreData::fingerprintVarianceGroupScore | ( |  | ) |

## ◆ removeVarianceData()

void RDKit::FingerprintVarianceScoreData::removeVarianceData | ( | int | matchNumber,
|  | int | permutationNumber,
|  | const std::vector< std::vector< RGroupMatch > > & | matches,
|  | const std::set< int > & | labels )

## Member Data Documentation

## ◆ labelsToVarianceData

std::map<int, std::shared_ptr<VarianceDataForLabel> > RDKit::FingerprintVarianceScoreData::labelsToVarianceData

Definition at line 45 of file RGroupFingerprintScore.h.

## ◆ numberOfMissingUserRGroups

size_t RDKit::FingerprintVarianceScoreData::numberOfMissingUserRGroups = 0

Definition at line 43 of file RGroupFingerprintScore.h.

## ◆ numberOfMolecules

size_t RDKit::FingerprintVarianceScoreData::numberOfMolecules = 0

Definition at line 44 of file RGroupFingerprintScore.h.

The documentation for this struct was generated from the following file:

- RGroupFingerprintScore.h